Skip to content

Check users suspended from app access

This API checks whether a user is blocked from entering the app when the user attempts web login from a community or web page.


Request URL

Production URL https://auth.qpyou.cn/v2/game/block/get
Sandbox URL https://sandbox-auth.qpyou.cn/v2/game/block/get
HTTP Method POST
Content-Type application/json
Data Format JSON


Request header

Field name Description Type Required
X-Access-Token OAuth 2.0 Access Token for app server authentication
(See OAuth Token issuance)
String Y
ISCRYPT Whether data is encrypted (0 = not encrypted) (always send 0) Integer Y


Request body

Field name Description Type Required
appid App ID String Y
player_id Player ID Integer Y
language Language value. If omitted, English is used by default.
  • ko (Korean)
  • en (English)
  • ja (Japanese)
  • zh-hans (Simplified Chinese)
  • zh-hant (Traditional Chinese)
  • de (German)
  • fr (French)
  • ru (Russian)
  • es (Spanish)
  • pt (Portuguese)
  • id (Indonesian)
  • th (Thai)
  • vi (Vietnamese)
  • it (Italian)
  • tr (Turkish)
  • ar (Arabic)
String N


Request example

{"appid":"com.com2us.hivesdk.normal.freefull.apple.global.ios.universal","player_id":20000020208,"language":"ko"}


Response body

Field name Description Type
result_code Response code Details Integer
result_msg Result message String
token_validation JWT validation result (JWT validation error) Object
token_validation.result_code JWT validation result code Integer
token_validation.result_msg JWT validation result message String
data Result data Object
data.is_blocked Whether access is suspended
  • true: suspended user
  • false: normal user
Boolean
data.status Suspension status
  • N: normal user
  • P: permanently suspended user
  • B: user suspended for a specified period
String
data.start_date Suspension start date String
data.end_date Suspension end date String
data.remaining_date Remaining suspension period (returned in the requested language; default: English) String
data.reason Suspension reason (returned in the requested language; default: English) String

Response code

Code value Description
0 Success
2499 JWT validation failed (see token_validation)
4000 Invalid parameter
6000 Invalid appid


Response example

Success (normal user)

{"result_code":0,"result_msg":"SUCCESS","token_validation":{"result_code":0,"result_msg":"success"},"data":{"is_blocked":false,"status":"N","start_date":null,"end_date":null,"remaining_date":null,"reason":null}}

Success (user suspended for a specified period)

{"result_code":0,"result_msg":"SUCCESS","token_validation":{"result_code":0,"result_msg":"success"},"data":{"is_blocked":true,"status":"B","start_date":"2024-05-15 10:00:00","end_date":"2024-06-30 23:59:59","remaining_date":"27d 5hr 8min","reason":"Temporary Restriction (Retrieve game money)"}}

Success (permanently suspended user)

{"result_code":0,"result_msg":"SUCCESS","token_validation":{"result_code":0,"result_msg":"success"},"data":{"is_blocked":true,"status":"P","start_date":"2024-05-15 10:00:00","end_date":"9999-12-31 00:00:00","remaining_date":"Permanent","reason":"Temporary Restriction (Retrieve game money)"}}

JWT validation failure

{
  "result_code": 2499,
  "result_msg": "JWT validation failed. See token_validation for details.",
  "token_validation": {
    "result_code": 2408,
    "result_msg": "The access token is expired. Please refresh your token."
  }
}

Failure

{"result_code":4000,"result_msg":"Request has invalid format.","token_validation":{"result_code":0,"result_msg":"success"},"data":"player_id"}
Note

When JWT validation fails, you can check detailed error information in the token_validation field. For details, see JWT validation error codes.